Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAccessible.Event

    java.lang.Object
      java.lang.Enum<QAccessible.Event>
          com.trolltech.qt.gui.QAccessible.Event

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAccessible.Event>

Enclosing class:
  QAccessible

    public static enum QAccessible.Event

extends java.lang.Enum<QAccessible.Event>
implements QtEnumerator

This enum type defines accessible event types.

Enum Constant Summary
`AcceleratorChanged` Internal.
`Alert` A system alert (e.g., a message from a `QMessageBox`)
`ContextHelpEnd` Context help (`QWhatsThis`) for an object is finished.
`ContextHelpStart` Context help (`QWhatsThis`) for an object is initiated.
`DefaultActionChanged` The default QAccessible::Action for the accessible object changed
`DescriptionChanged` The objects QAccessible::Description changed.
`DialogEnd` A dialog (`QDialog`) is been hidden
`DialogStart` A dialog (`QDialog`) has been set visible.
`DragDropEnd` A Drag & Drop operation is about to finished.
`DragDropStart` A Drag & Drop operation is about to be initiated.
`Focus` An object has gained keyboard focus.
`ForegroundChanged` A window has been activated (i.e., a new window has gained focus on the desktop)
`HelpChanged` The QAccessible::Help text property of an object has changed
`LocationChanged` An objects location on the screen changed
`MenuCommand` A menu item is triggered.
`MenuEnd` A menu has been closed (Qt uses `PopupMenuEnd` for all menus)
`MenuStart` A menu has been opened on the menubar (Qt uses `PopupMenuStart` for all menus)
`NameChanged` The QAccessible::Name property of an object has changed
`ObjectCreated` A new object is created.
`ObjectDestroyed` An object is deleted.
`ObjectHide` An object is hidden (i.e., with QWidget::hide()).
`ObjectReorder` A layout or item view has added, removed, or moved an object (Qt does not use this event).
`ObjectShow` An object is displayed (i.e., with QWidget::show()).
`ParentChanged` An objects parent object changed.
`PopupMenuEnd` A popup menu has closed.
`PopupMenuStart` A popupmenu has opened.
`ScrollingEnd` A scrollbar scroll operation has ended (the mouse has released the slider handle)
`ScrollingStart` A scrollbar scroll operation is about to start (i.e., the mouse has pressed on the slider handle)
`Selection` The selection has changed in a menu or item view.
`SelectionAdd` An item has been added to the selection in an item view.
`SelectionRemove` An item has been removed from an item view selection.
`SelectionWithin` Several changes to a selection has occurred in an item view.
`SoundPlayed` A sound has been played by an object
`StateChanged` The QAccessible::State of an object has changed.
`ValueChanged` The QAccessible::Value of an object has changed.

Method Summary
`static QAccessible.Event` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.Event` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAccessible.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SoundPlayed

    public static final QAccessible.Event SoundPlayed

  A sound has been played by an object

### Alert

    public static final QAccessible.Event Alert

  A system alert (e.g., a message from a `QMessageBox`)

### ForegroundChanged

    public static final QAccessible.Event ForegroundChanged

  A window has been activated (i.e., a new window has gained focus on the desktop)

### MenuStart

    public static final QAccessible.Event MenuStart

  A menu has been opened on the menubar (Qt uses `PopupMenuStart` for all menus)

### MenuEnd

    public static final QAccessible.Event MenuEnd

  A menu has been closed (Qt uses `PopupMenuEnd` for all menus)

### PopupMenuStart

    public static final QAccessible.Event PopupMenuStart

  A popupmenu has opened.

### PopupMenuEnd

    public static final QAccessible.Event PopupMenuEnd

  A popup menu has closed.

### ContextHelpStart

    public static final QAccessible.Event ContextHelpStart

  Context help (`QWhatsThis`) for an object is initiated.

### ContextHelpEnd

    public static final QAccessible.Event ContextHelpEnd

  Context help (`QWhatsThis`) for an object is finished.

### DragDropStart

    public static final QAccessible.Event DragDropStart

  A Drag & Drop operation is about to be initiated.

### DragDropEnd

    public static final QAccessible.Event DragDropEnd

  A Drag & Drop operation is about to finished.

### DialogStart

    public static final QAccessible.Event DialogStart

  A dialog (`QDialog`) has been set visible.

### DialogEnd

    public static final QAccessible.Event DialogEnd

  A dialog (`QDialog`) is been hidden

### ScrollingStart

    public static final QAccessible.Event ScrollingStart

  A scrollbar scroll operation is about to start (i.e., the mouse has pressed on the slider handle)

### ScrollingEnd

    public static final QAccessible.Event ScrollingEnd

  A scrollbar scroll operation has ended (the mouse has released the slider handle)

### MenuCommand

    public static final QAccessible.Event MenuCommand

  A menu item is triggered.

### ObjectCreated

    public static final QAccessible.Event ObjectCreated

  A new object is created.

### ObjectDestroyed

    public static final QAccessible.Event ObjectDestroyed

  An object is deleted.

### ObjectShow

    public static final QAccessible.Event ObjectShow

  An object is displayed (i.e., with QWidget::show()).

### ObjectHide

    public static final QAccessible.Event ObjectHide

  An object is hidden (i.e., with QWidget::hide()). Any children the object that is hidden has do not send this event. It is not send when an object is hidden as it is being obcured by others.

### ObjectReorder

    public static final QAccessible.Event ObjectReorder

  A layout or item view has added, removed, or moved an object (Qt does not use this event).

### Focus

    public static final QAccessible.Event Focus

  An object has gained keyboard focus.

### Selection

    public static final QAccessible.Event Selection

  The selection has changed in a menu or item view.

### SelectionAdd

    public static final QAccessible.Event SelectionAdd

  An item has been added to the selection in an item view.

### SelectionRemove

    public static final QAccessible.Event SelectionRemove

  An item has been removed from an item view selection.

### SelectionWithin

    public static final QAccessible.Event SelectionWithin

  Several changes to a selection has occurred in an item view.

### StateChanged

    public static final QAccessible.Event StateChanged

  The QAccessible::State of an object has changed.

### LocationChanged

    public static final QAccessible.Event LocationChanged

  An objects location on the screen changed

### NameChanged

    public static final QAccessible.Event NameChanged

  The QAccessible::Name property of an object has changed

### DescriptionChanged

    public static final QAccessible.Event DescriptionChanged

  The objects QAccessible::Description changed.

### ValueChanged

    public static final QAccessible.Event ValueChanged

  The QAccessible::Value of an object has changed.

### ParentChanged

    public static final QAccessible.Event ParentChanged

  An objects parent object changed.

### HelpChanged

    public static final QAccessible.Event HelpChanged

  The QAccessible::Help text property of an object has changed

### DefaultActionChanged

    public static final QAccessible.Event DefaultActionChanged

  The default QAccessible::Action for the accessible object changed

### AcceleratorChanged

    public static final QAccessible.Event AcceleratorChanged

  Internal.

Method Detail

### values

    public static final QAccessible.Event[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAccessible.Event c : QAccessible.Event.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAccessible.Event valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAccessible.Event resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD